import request from '@/utils/request'

// 查询身高体重记录列表
export function listHeightWeightRecord(query) {
  return request({
    url: '/health/heightWeightRecord/list',
    method: 'get',
    params: query
  })
}

// 查询身高体重记录详细
export function getHeightWeightRecord(id) {
  return request({
    url: '/health/heightWeightRecord/' + id,
    method: 'get'
  })
}

// 新增身高体重记录
export function addHeightWeightRecord(data) {
  return request({
    url: '/health/heightWeightRecord',
    method: 'post',
    data
  })
}

// 修改身高体重记录
export function updateHeightWeightRecord(data) {
  return request({
    url: '/health/heightWeightRecord',
    method: 'put',
    data
  })
}

// 删除身高体重记录
export function delHeightWeightRecord(id) {
  return request({
    url: '/health/heightWeightRecord/' + id,
    method: 'delete'
  })
}
